Skip to content
Permalink
Browse files
Merge pull request #133 from i386/bug/JENKINS-48357
JENKINS-48357 Older version of httpclient-cache causing IllegalAccessError and use httpclient
Switch to using org.jenkins-ci.plugins.apache-httpcomponents-client-4-api plugin.
  • Loading branch information
warden committed Dec 20, 2017
2 parents 4c7dcde + 420f690 commit 51932a02f90becda9c0404ca40df035b42eccc91
Showing with 24 additions and 20 deletions.
  1. +24 −20 pom.xml
44 pom.xml
@@ -4,7 +4,7 @@
<parent>
<groupId>org.jenkins-ci.plugins</groupId>
<artifactId>plugin</artifactId>
<version>2.33</version>
<version>2.37</version>
<relativePath />
</parent>

@@ -205,6 +205,14 @@
<groupId>com.google.guava</groupId>
<artifactId>guava</artifactId>
</exclusion>
<exclusion>
<groupId>com.atlassian.httpclient</groupId>
<artifactId>atlassian-httpclient-plugin</artifactId>
</exclusion>
<exclusion>
<groupId>com.atlassian.httpclient</groupId>
<artifactId>atlassian-httpclient-api</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
@@ -224,6 +232,18 @@
<groupId>javax.activation</groupId>
<artifactId>activation</artifactId>
</exclusion>
<exclusion>
<groupId>com.atlassian.httpclient</groupId>
<artifactId>atlassian-httpclient-plugin</artifactId>
</exclusion>
<exclusion>
<groupId>com.atlassian.httpclient</groupId>
<artifactId>atlassian-httpclient-api</artifactId>
</exclusion>
<exclusion>
<groupId>org.apache.httpcomponents</groupId>
<artifactId>httpmime</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
@@ -233,25 +253,9 @@
<scope>runtime</scope>
</dependency>
<dependency>
<groupId>org.apache.httpcomponents</groupId>
<artifactId>httpmime</artifactId>
<version>4.5.3</version>
</dependency>
<dependency>
<groupId>org.apache.httpcomponents</groupId>
<artifactId>httpclient</artifactId>
<version>4.5.3</version>
<exclusions>
<exclusion>
<groupId>commons-codec</groupId>
<artifactId>commons-codec</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.apache.httpcomponents</groupId>
<artifactId>fluent-hc</artifactId>
<version>4.5.3</version>
<groupId>org.jenkins-ci.plugins</groupId>
<artifactId>apache-httpcomponents-client-4-api</artifactId>
<version>4.5.3-2.0</version>
</dependency>
<dependency>
<groupId>org.apache.maven</groupId>

0 comments on commit 51932a0

Please sign in to comment.